<?php

namespace App\Classes\Exceptions;

use App\Classes\ValueObjects\Constants\HttpStatus;

final class CriteriaNotFulfilledException extends ServiceApiException {
    public function __construct(?string $message = null) {
        parent::__construct(
            $message ?? 'One or more required criteria were not fulfilled.',
            HttpStatus::VALIDATION_FAILED
        );
    }
}
